Bug 1125282 - new "openshift container" should use rpm
Summary: new "openshift container" should use rpm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Kurt T Stam
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 13:40 UTC by Kurt T Stam
Modified: 2017-05-31 18:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 18:22:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-1725 Blocker Closed [Fuse cartridge] can't create new container from Hawtio 2017-03-15 12:16:03 UTC

Description Kurt T Stam 2014-07-31 13:40:18 UTC
Description of problem:

When starting a new container form within hawtio it currently uses the manifest Source-Url in the manifest download a new cartridge zip file. For the rpm it should not be doing this, instead it should be using the cartridge ID. Then it will use the rpm files already installed in the OSE instance.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Kurt T Stam 2014-07-31 17:28:07 UTC
Added a io.fabric8.openshift.properties.erb file which will get put into correct place with the parameters resolved.

https://github.com/jboss-fuse/fuse-openshift-cartridge/pull/36/commits

Comment 3 JBoss JIRA Server 2014-08-04 07:02:59 UTC
Matej Lazar <matejonnet@gmail.com> updated the status of jira ENTESB-1725 to Resolved

Comment 4 xjia 2014-08-15 09:21:51 UTC
According to #comment3, could you move this bug "ON_QA" ? Thanks

Comment 5 xjia 2014-08-15 09:55:07 UTC
Version:
openshift-origin-cartridge-fuse-6.1.0.redhat.389-1.el6op.noarch.rpm

Verify:
From Hawtio, succeed to create a container named 'test1'. 
Check it from rhc console:
[root@broker ~]# rhc apps
fuse @ http://fuse-xuan.fuse.com/ (uuid: 53edc1d941312e75450001e1)
------------------------------------------------------------------
  Domain:     xuan
  Created:    4:16 PM
  Gears:      1 (defaults to xpaas)
  Git URL:    ssh://53edc1d941312e75450001e1@fuse-xuan.fuse.com/~/git/fuse.git/
  SSH:        53edc1d941312e75450001e1@fuse-xuan.fuse.com
  Deployment: auto (on git push)

  fuse-1.0.0 (JBoss Fuse 6.1.0 EA)
  --------------------------------
    Gears: 1 xpaas

test1 @ http://test1-xuan.fuse.com/ (uuid: 53edd8e241312ed18a000120)
--------------------------------------------------------------------
  Domain:     xuan
  Created:    5:54 PM
  Gears:      1 (defaults to xpaas)
  Git URL:    ssh://53edd8e241312ed18a000120@test1-xuan.fuse.com/~/git/test1.git/
  SSH:        53edd8e241312ed18a000120@test1-xuan.fuse.com
  Deployment: auto (on git push)

  fuse-1.0.0 (JBoss Fuse 6.1.0 EA)
  --------------------------------
    Gears: 1 xpaas

Comment 6 JBoss JIRA Server 2014-10-20 13:07:18 UTC
David Simansky <dsimansk@redhat.com> updated the status of jira ENTESB-1725 to Closed

Comment 7 Eric Paris 2017-05-31 18:22:11 UTC
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.


Note You need to log in before you can comment on or make changes to this bug.